ISRetriever
Date: 2014-11-12

org.gcube.informationsystem.cache

## Class ISRetriever

- java.lang.Object
- - org.gcube.informationsystem.cache.ISRetriever

-     public class ISRetriever
      extends java.lang.Object

  Supporting class that provides some IS artifacts (mainly query objects).
  Author:
    UoA

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISRetriever()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static long` | `getDefaultISQueryTimeoutPeriod()` Get the default IS query timeout
    `static GCUBEGenericQuery` | `getGenericQuery()` Get an IS generic query object
    `protected static ISClient` | `getISClient()` Get an ISClient instance
    `static GCUBERIQuery` | `getRIQuery()` Get an IS RIQuery query object
    `static GCUBEServiceQuery` | `getServiceQuery()` Get an IS ServiceQuery query object
    `static WSResourceQuery` | `getWSResourceQuery()` Get an IS WSResource query object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ISRetriever

          public ISRetriever()

  - ### Method Detail

    - #### getISClient

          protected static ISClient getISClient()
                                         throws java.lang.Exception

      Get an ISClient instance
      Returns:
        an ISClient instance
      Throws:
        `java.lang.Exception` - in case of error

    - #### getGenericQuery

          public static GCUBEGenericQuery getGenericQuery()
                                                   throws ISUnsupportedQueryException,
                                                          java.lang.InstantiationException,
                                                          java.lang.IllegalAccessException,
                                                          java.lang.Exception

      Get an IS generic query object
      Returns:
        the IS generic query object
      Throws:
        `ISUnsupportedQueryException` - in case of error
        `java.lang.InstantiationException` - in case of error
        `java.lang.IllegalAccessException` - in case of error
        `java.lang.Exception` - in case of error

    - #### getWSResourceQuery

          public static WSResourceQuery getWSResourceQuery()
                                                    throws ISUnsupportedQueryException,
                                                           java.lang.InstantiationException,
                                                           java.lang.IllegalAccessException,
                                                           java.lang.Exception

      Get an IS WSResource query object
      Returns:
        the IS WSResource query object
      Throws:
        `ISUnsupportedQueryException` - in case of error
        `java.lang.InstantiationException` - in case of error
        `java.lang.IllegalAccessException` - in case of error
        `java.lang.Exception` - in case of error

    - #### getRIQuery

          public static GCUBERIQuery getRIQuery()
                                         throws ISUnsupportedQueryException,
                                                java.lang.InstantiationException,
                                                java.lang.IllegalAccessException,
                                                java.lang.Exception

      Get an IS RIQuery query object
      Returns:
        the IS RIQuery query object
      Throws:
        `ISUnsupportedQueryException` - in case of error
        `java.lang.InstantiationException` - in case of error
        `java.lang.IllegalAccessException` - in case of error
        `java.lang.Exception` - in case of error

    - #### getServiceQuery

          public static GCUBEServiceQuery getServiceQuery()
                                                   throws ISUnsupportedQueryException,
                                                          java.lang.InstantiationException,
                                                          java.lang.IllegalAccessException,
                                                          java.lang.Exception

      Get an IS ServiceQuery query object
      Returns:
        the IS ServiceQuery query object
      Throws:
        `ISUnsupportedQueryException` - in case of error
        `java.lang.InstantiationException` - in case of error
        `java.lang.IllegalAccessException` - in case of error
        `java.lang.Exception` - in case of error

    - #### getDefaultISQueryTimeoutPeriod

          protected static long getDefaultISQueryTimeoutPeriod()

      Get the default IS query timeout
      Returns:
        the default IS query timeout